package com.ruoyi.project.approve.damain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.project.ehs.domain.TApproveDanger;
import com.ruoyi.project.sems.domain.TApprove;
import com.ruoyi.project.sems.his.domain.TApproveSpecModify;

import java.util.Date;

/**
 * 申请管理我的申请显示实体类
 *
 * @author ruoyi
 * @date 2021-02-23
 */
public class DevProcess {

    /** 流程ID */
    private String processId;

    /** 流程名称 */
    private String processName;

    /** 流程创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date processCreateTime;

    /** 业务键 */
    private String businessKey;

    private String apNo;

    private String apName;

    /** 隐患申请对象 */
    private TApproveDanger tApprove;
    private TApprove specApprove;
    private Object approveObject;
    private TApproveSpecModify approveSpecModify;
    /** 是否结束 */
    private boolean isEnd;

    public String getApName() {
        return apName;
    }

    public void setApName(String apName) {
        this.apName = apName;
    }

    public String getApNo() {
        return apNo;
    }

    public void setApNo(String apNo) {
        this.apNo = apNo;
    }

    public String getProcessId() {
        return processId;
    }

    public void setProcessId(String processId) {
        this.processId = processId;
    }

    public String getProcessName() {
        return processName;
    }

    public void setProcessName(String processName) {
        this.processName = processName;
    }

    public Date getProcessCreateTime() {
        return processCreateTime;
    }

    public void setProcessCreateTime(Date processCreateTime) {
        this.processCreateTime = processCreateTime;
    }

    public String getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(String businessKey) {
        this.businessKey = businessKey;
    }

    public TApproveDanger gettApprove() {
        return tApprove;
    }

    public void settApprove(TApproveDanger tApprove) {
        this.tApprove = tApprove;
    }

    public boolean isEnd() {
        return isEnd;
    }

    public void setEnd(boolean end) {
        isEnd = end;
    }

    public TApprove getSpecApprove() {
        return specApprove;
    }

    public void setSpecApprove(TApprove specApprove) {
        this.specApprove = specApprove;
    }

    public TApproveSpecModify getApproveSpecModify() {
        return approveSpecModify;
    }

    public void setApproveSpecModify(TApproveSpecModify approveSpecModify) {
        this.approveSpecModify = approveSpecModify;
    }

    public Object getApproveObject() {
        return approveObject;
    }

    public void setApproveObject(Object approveObject) {
        this.approveObject = approveObject;
    }

    @Override
    public String toString() {
        return "DevProcess{" +
                "processId='" + processId + '\'' +
                ", processName='" + processName + '\'' +
                ", processCreateTime=" + processCreateTime +
                ", businessKey='" + businessKey + '\'' +
                ", tApprove=" + tApprove +
                ", isEnd=" + isEnd +
                '}';
    }
}
